com.genesyslab.wfm7.API.service.schedule712

## Class SchScenario

- java.lang.Object
- - com.genesyslab.wfm7.API.service.schedule712.SchScenario

- All Implemented Interfaces:
    java.io.Serializable

      public class SchScenario
      extends java.lang.Object
      implements java.io.Serializable

  See Also:
    Serialized Form

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `private java.lang.Object` | `__equalsCalc`
    `private boolean` | `__hashCodeCalc`
    `private boolean` | `bOwn`
    `private SchScenarioSite[]` | `schSites`
    `private int` | `schSitesNSizeIs`
    `private SchScenarioSiteStatus[]` | `schSiteStatus`
    `private int` | `schSiteStatusNSizeIs`
    `private long` | `timestamp`
    `private java.lang.String` | `wmComments`
    `private double` | `wmCreateDateTime`
    `private double` | `wmEndDate`
    `private java.lang.String` | `wmName`
    `private java.lang.String` | `wmOwner`
    `private int` | `wmScheduleId`
    `private double` | `wmStartDate`
    `private int` | `wmType`
    `private double` | `wmUpdateDateTime`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `SchScenario()`
    `SchScenario(int wmScheduleId, java.lang.String wmName, double wmStartDate, double wmEndDate, int wmType, java.lang.String wmComments, int schSitesNSizeIs, SchScenarioSite[] schSites, int schSiteStatusNSizeIs, SchScenarioSiteStatus[] schSiteStatus, double wmCreateDateTime, double wmUpdateDateTime, java.lang.String wmOwner, boolean bOwn, long timestamp)`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `boolean` | `equals(java.lang.Object obj)`
    `SchScenarioSite[]` | `getSchSites()` Gets the schSites value for this SchScenario.
    `int` | `getSchSitesNSizeIs()` Gets the schSitesNSizeIs value for this SchScenario.
    `SchScenarioSiteStatus[]` | `getSchSiteStatus()` Gets the schSiteStatus value for this SchScenario.
    `int` | `getSchSiteStatusNSizeIs()` Gets the schSiteStatusNSizeIs value for this SchScenario.
    `long` | `getTimestamp()` Gets the timestamp value for this SchScenario.
    `java.lang.String` | `getWmComments()` Gets the wmComments value for this SchScenario.
    `double` | `getWmCreateDateTime()` Gets the wmCreateDateTime value for this SchScenario.
    `double` | `getWmEndDate()` Gets the wmEndDate value for this SchScenario.
    `java.lang.String` | `getWmName()` Gets the wmName value for this SchScenario.
    `java.lang.String` | `getWmOwner()` Gets the wmOwner value for this SchScenario.
    `int` | `getWmScheduleId()` Gets the wmScheduleId value for this SchScenario.
    `double` | `getWmStartDate()` Gets the wmStartDate value for this SchScenario.
    `int` | `getWmType()` Gets the wmType value for this SchScenario.
    `double` | `getWmUpdateDateTime()` Gets the wmUpdateDateTime value for this SchScenario.
    `int` | `hashCode()`
    `boolean` | `isBOwn()` Gets the bOwn value for this SchScenario.
    `void` | `setBOwn(boolean bOwn)` Sets the bOwn value for this SchScenario.
    `void` | `setSchSites(SchScenarioSite[] schSites)` Sets the schSites value for this SchScenario.
    `void` | `setSchSitesNSizeIs(int schSitesNSizeIs)` Sets the schSitesNSizeIs value for this SchScenario.
    `void` | `setSchSiteStatus(SchScenarioSiteStatus[] schSiteStatus)` Sets the schSiteStatus value for this SchScenario.
    `void` | `setSchSiteStatusNSizeIs(int schSiteStatusNSizeIs)` Sets the schSiteStatusNSizeIs value for this SchScenario.
    `void` | `setTimestamp(long timestamp)` Sets the timestamp value for this SchScenario.
    `void` | `setWmComments(java.lang.String wmComments)` Sets the wmComments value for this SchScenario.
    `void` | `setWmCreateDateTime(double wmCreateDateTime)` Sets the wmCreateDateTime value for this SchScenario.
    `void` | `setWmEndDate(double wmEndDate)` Sets the wmEndDate value for this SchScenario.
    `void` | `setWmName(java.lang.String wmName)` Sets the wmName value for this SchScenario.
    `void` | `setWmOwner(java.lang.String wmOwner)` Sets the wmOwner value for this SchScenario.
    `void` | `setWmScheduleId(int wmScheduleId)` Sets the wmScheduleId value for this SchScenario.
    `void` | `setWmStartDate(double wmStartDate)` Sets the wmStartDate value for this SchScenario.
    `void` | `setWmType(int wmType)` Sets the wmType value for this SchScenario.
    `void` | `setWmUpdateDateTime(double wmUpdateDateTime)` Sets the wmUpdateDateTime value for this SchScenario.

    - ### Methods inherited from class java.lang.Object

      `clone, finalize, getClass, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### wmScheduleId

          private int wmScheduleId

    - #### wmName

          private java.lang.String wmName

    - #### wmStartDate

          private double wmStartDate

    - #### wmEndDate

          private double wmEndDate

    - #### wmType

          private int wmType

    - #### wmComments

          private java.lang.String wmComments

    - #### schSitesNSizeIs

          private int schSitesNSizeIs

    - #### schSites

          private SchScenarioSite[] schSites

    - #### schSiteStatusNSizeIs

          private int schSiteStatusNSizeIs

    - #### schSiteStatus

          private SchScenarioSiteStatus[] schSiteStatus

    - #### wmCreateDateTime

          private double wmCreateDateTime

    - #### wmUpdateDateTime

          private double wmUpdateDateTime

    - #### wmOwner

          private java.lang.String wmOwner

    - #### bOwn

          private boolean bOwn

    - #### timestamp

          private long timestamp

    - #### __equalsCalc

          private java.lang.Object __equalsCalc

    - #### __hashCodeCalc

          private boolean __hashCodeCalc

  - ### Constructor Detail

    - #### SchScenario

          public SchScenario()

    - #### SchScenario

          public SchScenario(int wmScheduleId,
                     java.lang.String wmName,
                     double wmStartDate,
                     double wmEndDate,
                     int wmType,
                     java.lang.String wmComments,
                     int schSitesNSizeIs,
                     SchScenarioSite[] schSites,
                     int schSiteStatusNSizeIs,
                     SchScenarioSiteStatus[] schSiteStatus,
                     double wmCreateDateTime,
                     double wmUpdateDateTime,
                     java.lang.String wmOwner,
                     boolean bOwn,
                     long timestamp)

  - ### Method Detail

    - #### getWmScheduleId

          public int getWmScheduleId()

      Gets the wmScheduleId value for this SchScenario.
      Returns:
        wmScheduleId

    - #### setWmScheduleId

          public void setWmScheduleId(int wmScheduleId)

      Sets the wmScheduleId value for this SchScenario.
      Parameters:
        `wmScheduleId` -

    - #### getWmName

          public java.lang.String getWmName()

      Gets the wmName value for this SchScenario.
      Returns:
        wmName

    - #### setWmName

          public void setWmName(java.lang.String wmName)

      Sets the wmName value for this SchScenario.
      Parameters:
        `wmName` -

    - #### getWmStartDate

          public double getWmStartDate()

      Gets the wmStartDate value for this SchScenario.
      Returns:
        wmStartDate

    - #### setWmStartDate

          public void setWmStartDate(double wmStartDate)

      Sets the wmStartDate value for this SchScenario.
      Parameters:
        `wmStartDate` -

    - #### getWmEndDate

          public double getWmEndDate()

      Gets the wmEndDate value for this SchScenario.
      Returns:
        wmEndDate

    - #### setWmEndDate

          public void setWmEndDate(double wmEndDate)

      Sets the wmEndDate value for this SchScenario.
      Parameters:
        `wmEndDate` -

    - #### getWmType

          public int getWmType()

      Gets the wmType value for this SchScenario.
      Returns:
        wmType

    - #### setWmType

          public void setWmType(int wmType)

      Sets the wmType value for this SchScenario.
      Parameters:
        `wmType` -

    - #### getWmComments

          public java.lang.String getWmComments()

      Gets the wmComments value for this SchScenario.
      Returns:
        wmComments

    - #### setWmComments

          public void setWmComments(java.lang.String wmComments)

      Sets the wmComments value for this SchScenario.
      Parameters:
        `wmComments` -

    - #### getSchSitesNSizeIs

          public int getSchSitesNSizeIs()

      Gets the schSitesNSizeIs value for this SchScenario.
      Returns:
        schSitesNSizeIs

    - #### setSchSitesNSizeIs

          public void setSchSitesNSizeIs(int schSitesNSizeIs)

      Sets the schSitesNSizeIs value for this SchScenario.
      Parameters:
        `schSitesNSizeIs` -

    - #### getSchSites

          public SchScenarioSite[] getSchSites()

      Gets the schSites value for this SchScenario.
      Returns:
        schSites

    - #### setSchSites

          public void setSchSites(SchScenarioSite[] schSites)

      Sets the schSites value for this SchScenario.
      Parameters:
        `schSites` -

    - #### getSchSiteStatusNSizeIs

          public int getSchSiteStatusNSizeIs()

      Gets the schSiteStatusNSizeIs value for this SchScenario.
      Returns:
        schSiteStatusNSizeIs

    - #### setSchSiteStatusNSizeIs

          public void setSchSiteStatusNSizeIs(int schSiteStatusNSizeIs)

      Sets the schSiteStatusNSizeIs value for this SchScenario.
      Parameters:
        `schSiteStatusNSizeIs` -

    - #### getSchSiteStatus

          public SchScenarioSiteStatus[] getSchSiteStatus()

      Gets the schSiteStatus value for this SchScenario.
      Returns:
        schSiteStatus

    - #### setSchSiteStatus

          public void setSchSiteStatus(SchScenarioSiteStatus[] schSiteStatus)

      Sets the schSiteStatus value for this SchScenario.
      Parameters:
        `schSiteStatus` -

    - #### getWmCreateDateTime

          public double getWmCreateDateTime()

      Gets the wmCreateDateTime value for this SchScenario.
      Returns:
        wmCreateDateTime

    - #### setWmCreateDateTime

          public void setWmCreateDateTime(double wmCreateDateTime)

      Sets the wmCreateDateTime value for this SchScenario.
      Parameters:
        `wmCreateDateTime` -

    - #### getWmUpdateDateTime

          public double getWmUpdateDateTime()

      Gets the wmUpdateDateTime value for this SchScenario.
      Returns:
        wmUpdateDateTime

    - #### setWmUpdateDateTime

          public void setWmUpdateDateTime(double wmUpdateDateTime)

      Sets the wmUpdateDateTime value for this SchScenario.
      Parameters:
        `wmUpdateDateTime` -

    - #### getWmOwner

          public java.lang.String getWmOwner()

      Gets the wmOwner value for this SchScenario.
      Returns:
        wmOwner

    - #### setWmOwner

          public void setWmOwner(java.lang.String wmOwner)

      Sets the wmOwner value for this SchScenario.
      Parameters:
        `wmOwner` -

    - #### isBOwn

          public boolean isBOwn()

      Gets the bOwn value for this SchScenario.
      Returns:
        bOwn

    - #### setBOwn

          public void setBOwn(boolean bOwn)

      Sets the bOwn value for this SchScenario.
      Parameters:
        `bOwn` -

    - #### getTimestamp

          public long getTimestamp()

      Gets the timestamp value for this SchScenario.
      Returns:
        timestamp

    - #### setTimestamp

          public void setTimestamp(long timestamp)

      Sets the timestamp value for this SchScenario.
      Parameters:
        `timestamp` -

    - #### equals

          public boolean equals(java.lang.Object obj)

      Overrides:
        `equals` in class `java.lang.Object`

    - #### hashCode

          public int hashCode()

      Overrides:
        `hashCode` in class `java.lang.Object`

Copyright © 2005-2016 Genesys Telecommunications Labs, Inc. All Rights Reserved.